=== debian/changelog ===
cargo (0.11.0-1) unstable; urgency=medium

  [ Daniele Tricoli ]
  * New upstream release. (Closes: #826938)
    - Update deps tarball.
    - Refresh patches.
    - Drop clean-win-crates.patch since time crate is not a dependency
      anymore.
    - Drop deps-url-fix-toml.patch since merged upstream.

  [ Luca Bruno ]
  * Install subcommand manpages too
  * Move to a bootstrapped (stage1) build by default

 -- Luca Bruno <lucab@debian.org>  Mon, 15 Aug 2016 13:59:04 +0000
