=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Priority: extra
 Build-Depends: debhelper (>= 9.20141010),
                dpkg-dev (>= 1.17.14),
-               rustc (>= 1.1),
+               rustc (>= 1.13),
                curl,
                pkg-config,
                cmake,
@@ -21,7 +21,7 @@
                libssh2-1-dev,
                libgit2-dev,
                libhttp-parser-dev,
-               libssl-dev,
+               libssl1.0-dev,
                zlib1g-dev
 Homepage: https://crates.io/
 Standards-Version: 3.9.8
