## cargo 0.16.0

=== debian/changelog ===
cargo (0.16.0-0ubuntu1~14.04.1) trusty-security; urgency=medium

  * Backport cargo to 14.04
  * Relax debhelper and dpkg-dev requirements
  * Use binutils-2.26
    - update debian/control
    - update debian/rules to export the binutils location in PATH, and drop
      the --local-rust-root option because it causes the configure script to
      prefix PATH with /usr/bin again
    - add debian/patches/dont-override-path.patch to stop prefixing PATH
      with /usr/bin when running make

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 10 Mar 2017 22:40:23 +0000

cargo (0.16.0-0ubuntu1) zesty; urgency=medium

  * Update to 0.16.0 which is required to build Firefox

  * Don't use the bootstrap.py script for bootstrapping - I've spent enough
    time unsuccessfully trying to bootstrap 0.16.0 on Ubuntu with it.
    - remove debian/bootstrap.py
    - remove debian/cargo-vendor-pack.py
    - remove debian/patches/deps-adjust.patch
    - update debian/patches/series
    - update debian/control
    - update debian/rules
  * cargo vendor doesn't produce anything that needs to be unpacked, so just
    save everything directly in vendor/ and remove
    debian/cargo-vendor-unpack.py
  * Rename debian/deps-tarball-filter.txt to debian/vendor-tarball-filter.txt
    to reflect that vendored crates are now in vendor/ rather than deps/
  * For files that we remove from the tarball, we also need to update the
    .cargo-checksum.json files for the corresponding crates, else the build
    fails.
    - add debian/filter-tarball.py
    - update debian/make_orig_multi.sh
  * Pass -x to cargo vendor to save crates with the version number in
    their path
    - update debian/make_orig_multi.sh
  * Refresh debian/patches/clean-cargo-deps.patch
  * Ensure that the rustc triple is calculated correctly on armhf (code
    copied from the rustc package)
    - update debian/rules
  * Create a .cargo/config at build time to tell cargo to use the vendored
    crates
    - update debian/rules

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 10 Mar 2017 13:25:34 +0000
