=== debian/control ===
--- 
+++ 
@@ -4,16 +4,14 @@
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>
 Priority: extra
-Build-Depends: debhelper (>= 9.20141010),
-               dpkg-dev (>= 1.17.14),
+Build-Depends: debhelper (>= 9.20131227),
+               dpkg-dev (>= 1.17.5),
                rustc (>= 1.13),
                curl,
                pkg-config,
                cmake,
                git,
-               cargo (>= 0.7.0) <!stage0>,
-               python-dulwich,
-               python-pytoml,
+               cargo (>= 0.7.0) [!powerpc],
                ca-certificates,
                bash-completion,
                libhttp-parser-dev,
@@ -21,8 +19,9 @@
                libssh2-1-dev,
                libgit2-dev,
                libhttp-parser-dev,
-               libssl1.0-dev,
-               zlib1g-dev
+               libssl-dev,
+               zlib1g-dev,
+               binutils-2.26
 Homepage: https://crates.io/
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
