=== debian/changelog ===
cargo (0.17.0-0ubuntu1) zesty; urgency=medium

  * Update to 0.17.0, which is required to work with rustc 1.16

  * Refresh debian/patches/clean-cargo-deps.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Fri, 24 Mar 2017 15:19:42 +0000
