## cargo 0.18.0

=== debian/changelog ===
cargo (0.18.0-0ubuntu0.17.04.1) zesty; urgency=medium

  * Update to 0.18.0

  * Refresh debian/patches/clean-cargo-deps.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Thu, 27 Jul 2017 14:52:40 +0100
