=== url-1.4.0/Makefile ===
test:
	cargo test --features "query_encoding serde rustc-serialize heapsize"
	(cd idna && cargo test)

.PHONY: test
