=== debian/changelog ===
cargo (0.19.0-0ubuntu1) artful; urgency=medium

  * Update to 0.19.0

  * Refresh debian/patches/clean-cargo-deps.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 16 Aug 2017 10:09:12 +0100
