=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Uploaders: Luca Bruno <lucab@debian.org>,
  Angus Lees <gus@debian.org>
 Priority: extra
-Build-Depends: debhelper (>= 9.20131227),
-               dpkg-dev (>= 1.17.5),
+Build-Depends: debhelper (>= 9.20141010),
+               dpkg-dev (>= 1.17.14),
                rustc (>= 1.13),
                curl,
                pkg-config,
@@ -19,9 +19,8 @@
                libssh2-1-dev,
                libgit2-dev,
                libhttp-parser-dev,
-               libssl-dev,
-               zlib1g-dev,
-               binutils-2.26
+               libssl1.0-dev,
+               zlib1g-dev
 Homepage: https://crates.io/
 Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/pkg-rust/cargo.git
