=== debian/rules ===
--- 
+++ 
@@ -14,9 +14,6 @@
 export CARGO_HOME = $(CURDIR)/.cargohome
 # Ask cargo to be verbose when building
 export VERBOSE = 1
-
-PATH := /usr/lib/binutils-2.26/bin:$(PATH)
-export PATH
 
 DEB_DESTDIR := $(CURDIR)/debian/tmp
 VENDORDIR := $(CURDIR)/vendor
@@ -49,6 +46,7 @@
 		--prefix=/usr \
 		--disable-debug \
 		--enable-optimize \
+		--local-rust-root=/usr \
 		--cargo=$(CURDIR)/cargo-stage0
 	# Build final cargo binary and docs
 	$(MAKE)
